org.apache.flume.conf.source

## Class SourceConfiguration

- java.lang.Object
- - org.apache.flume.conf.ComponentConfiguration
  - - org.apache.flume.conf.source.SourceConfiguration

-     public class SourceConfiguration
      extends ComponentConfiguration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SourceConfiguration.SourceConfigurationType`

    - ### Nested classes/interfaces inherited from class org.apache.flume.conf.ComponentConfiguration

      `ComponentConfiguration.ComponentType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `channels`
    `protected ChannelSelectorConfiguration` | `selectorConf`

    - ### Fields inherited from class org.apache.flume.conf.ComponentConfiguration

      `componentName, configured, errors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceConfiguration(String componentName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)`
    `Set<String>` | `getChannels()`
    `ChannelSelectorConfiguration` | `getSelectorConfiguration()`
    `String` | `toString(int indentCount)`

    - ### Methods inherited from class org.apache.flume.conf.ComponentConfiguration

      `failIfConfigured, getComponentName, getErrors, getType, isNotFoundConfigClass, setConfigured, setNotFoundConfigClass, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### channels

          protected Set<String> channels

    - #### selectorConf

          protected ChannelSelectorConfiguration selectorConf

  - ### Constructor Detail

    - #### SourceConfiguration

          public SourceConfiguration(String componentName)

  - ### Method Detail

    - #### getChannels

          public Set<String> getChannels()

    - #### getSelectorConfiguration

          public ChannelSelectorConfiguration getSelectorConfiguration()

    - #### configure

          public void configure(Context context)
                         throws ConfigurationException

      Overrides:
        `configure` in class `ComponentConfiguration`
      Throws:
        `ConfigurationException`

    - #### toString

          public String toString(int indentCount)

      Overrides:
        `toString` in class `ComponentConfiguration`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.